org.jCharts.types

## Class Type

- java.lang.Object
- - org.jCharts.types.Type

All Implemented Interfaces:
  Serializable

    public abstract class Type
    extends Object
    implements Serializable

Provides a common base class for all types.

See Also:
  Serialized Form

### Field Summary

Fields
`private int` `typeCode`

### Constructor Summary

Constructors
Constructor and Description
`Type(int typeCode)`

### Method Summary

Methods
`int` `getTypeCode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeCode

    private int typeCode

### Constructor Detail

#### Type

    Type(int typeCode)

Parameters:
  `int` -

### Method Detail

#### getTypeCode

    public int getTypeCode()

Returns:
  int